OGRE-Next: Ogre::AbstractNode Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
Ogre::AbstractNode Class Referenceabstract
Core » General

`#include <OgreScriptCompiler.h>`

Inheritance diagram for Ogre::AbstractNode:
[legend]

## Public Member Functions
| AbstractNode (AbstractNode *ptr)
virtual | ~AbstractNode ()
virtual AbstractNode * | clone () const =0
| Returns a new AbstractNode which is a replica of this one.
virtual String | getValue () const =0
| Returns a string value depending on the type of the AbstractNode.

## Public Attributes
Any | context
String | file
unsigned int | line
AbstractNode * | parent
AbstractNodeType | type

## Constructor & Destructor Documentation

## ◆ AbstractNode()

Ogre::AbstractNode::AbstractNode | ( | AbstractNode * | ptr | ) |

References AbstractNode().

Referenced by AbstractNode(), Ogre::AtomAbstractNode::AtomAbstractNode(), Ogre::ObjectAbstractNode::ObjectAbstractNode(), Ogre::PropertyAbstractNode::PropertyAbstractNode(), Ogre::VariableAccessAbstractNode::VariableAccessAbstractNode(), clone(), Ogre::AtomAbstractNode::clone(), Ogre::ImportAbstractNode::clone(), Ogre::ObjectAbstractNode::clone(), Ogre::PropertyAbstractNode::clone(), and Ogre::VariableAccessAbstractNode::clone().

## ◆ ~AbstractNode()

virtual Ogre::AbstractNode::~AbstractNode | ( |  | ) |
| inlinevirtual

## Member Function Documentation

## ◆ clone()

virtual AbstractNode * Ogre::AbstractNode::clone | ( |  | ) | const
| pure virtual

Returns a new AbstractNode which is a replica of this one.

Implemented in Ogre::AtomAbstractNode, Ogre::ImportAbstractNode, Ogre::ObjectAbstractNode, Ogre::PropertyAbstractNode, and Ogre::VariableAccessAbstractNode.

References AbstractNode().

## ◆ getValue()

virtual String Ogre::AbstractNode::getValue | ( |  | ) | const
| pure virtual

Returns a string value depending on the type of the AbstractNode.

Implemented in Ogre::AtomAbstractNode, Ogre::ImportAbstractNode, Ogre::ObjectAbstractNode, Ogre::PropertyAbstractNode, and Ogre::VariableAccessAbstractNode.

## Member Data Documentation

## ◆ context

Any Ogre::AbstractNode::context

## ◆ file

String Ogre::AbstractNode::file

## ◆ line

unsigned int Ogre::AbstractNode::line

## ◆ parent

AbstractNode* Ogre::AbstractNode::parent

## ◆ type

AbstractNodeType Ogre::AbstractNode::type

The documentation for this class was generated from the following file:

- OgreScriptCompiler.h